diff --git a/basice2e/deleteContact.gold b/basice2e/deleteContact.gold
deleted file mode 100644
index 56a6051ca2b02b04ef92d5150c9ef600403cb1de..0000000000000000000000000000000000000000
--- a/basice2e/deleteContact.gold
+++ /dev/null
@@ -1 +0,0 @@
-1
\ No newline at end of file
diff --git a/basice2e/run.sh b/basice2e/run.sh
index 05fe3fe26b1b3f11de0f48096f424c524982a00b..7a2b68b2d0b19ebe21209d341f3bb6bd5b6df57f 100755
--- a/basice2e/run.sh
+++ b/basice2e/run.sh
@@ -726,14 +726,20 @@ set -e
 echo "TESTS EXITED SUCCESSFULLY, CHECKING OUTPUT..."
 set +x
 diff -aruN clients.goldoutput $CLIENTCLEAN
-cat $CLIENTOUT/client42.log | grep -a "Could not confirm authentication channel for" > results/deleteContact.txt || true
+cat $CLIENTOUT/client42.log | grep -a "Could not confirm authentication channel" > results/deleteContact.txt || true
+echo "CHECKING FOR SUCCESSFUL CONTACT DELETION"
+if [ -s results/deleteContact.txt ]
+then
+    echo "CONTACT DELETION SUCCESSFUL"
+else
+    [ -s results/deleteContact.txt ]
+fi
 
 if [ "$PERMISSIONING" == "" ]
 then
 
     #cat $CLIENTOUT/* | strings | grep -e "ERROR" -e "FATAL" > results/client-errors || true
     #diff -ruN results/client-errors.txt noerrors.txt
-    diff -ruN results/results/deleteContact.txt deleteContact.gold
     cat $SERVERLOGS/server-*.log | grep -a "ERROR" | grep -a -v "context" | grep -av "metrics" | grep -av "database" > results/server-errors.txt || true
     cat $SERVERLOGS/server-*.log | grep -a "FATAL" | grep -a -v "context" | grep -av "transport is closing" | grep -av "database" >> results/server-errors.txt || true
     diff -aruN results/server-errors.txt noerrors.txt